/*
   Original coded by mladen @ forex-tsd
   modified by fareastol
*/

#property indicator_chart_window

extern string  ID       = "YearOpen 0";
extern int     NumYear  = 0;
extern color   Lcolor   = Gold;

//------------------------------------------------------------------
int init()   
{
   return(0);
}
//------------------------------------------------------------------
int deinit() 
{
   int k=0;
   while (k<ObjectsTotal())   
   {
    string objname = ObjectName(k);
    if (StringFind(objname,ID) != -1)  ObjectDelete(objname);
    else
      k++;
   }    
   return(0);
}
//------------------------------------------------------------------
int start()
{
   for (int i=0; i<12; i++) 
   if (TimeYear(iTime(NULL,PERIOD_MN1,i))!=TimeYear(iTime(NULL,PERIOD_MN1,i+1))) break;
         
   double priceL1  = iOpen(NULL,PERIOD_MN1,i+NumYear*12);
   datetime timeL1 = iTime(NULL,PERIOD_MN1,i+NumYear*12);
   DrawLevel(ID+1, timeL1, priceL1, Lcolor);
         
   return(0);
}
//------------------------------------------------------------------
void DrawLevel(string name, datetime time1, double price1, color levelcolor)
{
      ObjectCreate(name,OBJ_TREND,0,0,0,0,0);
         ObjectSet(name,OBJPROP_PRICE1,price1);
         ObjectSet(name,OBJPROP_PRICE2,price1);
         ObjectSet(name,OBJPROP_TIME1,time1);
         ObjectSet(name,OBJPROP_TIME2,Time[0]);
         ObjectSet(name,OBJPROP_COLOR,levelcolor);
         ObjectSet(name,OBJPROP_RAY,False);
}


